> For the complete documentation index, see [llms.txt](https://docs.unimarket.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unimarket.com/api-reference/models/suppliers.md).

# Suppliers

## GET /suppliers

> List suppliers (paged)

```json
{"openapi":"3.1.0","info":{"title":"Nova Public API","version":"1.0.0"},"servers":[{"url":"https://api.unimarket.com/public/community"},{"url":"https://api.unimarket.com.au/public/community"},{"url":"https://api.unimarket.co.nz/public/community"},{"url":"https://api.unimarket-demo.com/public/community"}],"paths":{"/suppliers":{"get":{"summary":"List suppliers (paged)","operationId":"listSuppliers","tags":["Suppliers"],"parameters":[{"in":"query","name":"query","schema":{"type":"string","maxLength":255},"description":"Search term that performs a \"starts with\" search against supplier company name, legal business name, supplier keywords, or supplier ID"},{"in":"query","name":"modifiedSince","schema":{"type":"string","format":"date-time"},"description":"Inclusive; returns items with modifiedDate >= modifiedSince (ISO 8601 format)"},{"$ref":"#/components/parameters/PageParameter"},{"$ref":"#/components/parameters/SizeParameter"},{"in":"query","name":"sort","schema":{"type":"string","maxLength":255,"pattern":"^[a-zA-Z]+(,(asc|desc))?$"},"description":"Sort specification in format \"field,direction\". Allowed fields are name, createdDate, modifiedDate. Direction can be asc or desc (default asc)"}],"responses":{"200":{"description":"Page of supplier summaries","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_SupplierSummary"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}},"components":{"parameters":{"PageParameter":{"in":"query","name":"page","schema":{"type":"integer","minimum":0,"default":0},"description":"Page number (zero-based)"},"SizeParameter":{"in":"query","name":"size","schema":{"type":"integer","minimum":1,"maximum":100,"default":20},"description":"Number of items per page"}},"schemas":{"Page_SupplierSummary":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/SupplierSummary"}},"page":{"$ref":"#/components/schemas/PageMetadata"}},"required":["content","page"]},"SupplierSummary":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Id"},"communitySupplierId":{"type":"string","maxLength":255,"description":"Auto-generated unique ID for the community supplier"},"supplierId":{"type":["string","null"],"maxLength":255,"description":"Community-defined Supplier ID to match the ERP."},"name":{"type":["string","null"],"maxLength":255,"description":"The primary name by which the supplier is known. The company or trading name."},"profileType":{"$ref":"#/components/schemas/ProfileType"},"legalBusinessName":{"type":["string","null"],"maxLength":255},"firstName":{"type":["string","null"],"maxLength":255},"lastName":{"type":["string","null"],"maxLength":255},"taxIdentificationType":{"$ref":"#/components/schemas/TaxIdentificationType"},"taxIdentificationNumber":{"type":["string","null"],"maxLength":255},"tinVerificationStatus":{"$ref":"#/components/schemas/TinVerificationStatus"},"tinLastVerifiedDate":{"type":["string","null"],"format":"date-time"},"connectionState":{"$ref":"#/components/schemas/ConnectionState"},"businessNumber":{"type":["string","null"],"maxLength":255},"defaultEmailAddress":{"type":["string","null"],"maxLength":255,"format":"email"},"modifiedDate":{"type":"string","format":"date-time"},"createdDate":{"type":"string","format":"date-time"}},"required":["id","profileType","modifiedDate","createdDate"]},"Id":{"type":"string","format":"uuid","description":"Primary identifier (UUID)"},"ProfileType":{"type":"string","maxLength":20,"enum":["COMPANY","INDIVIDUAL"],"description":"Individual or Company/Organization"},"TaxIdentificationType":{"type":"string","maxLength":20,"enum":["SSN","EIN","ITIN","GIIN","FOREIGN_TIN"]},"TinVerificationStatus":{"type":"string","maxLength":20,"enum":["MATCHED","NOT_MATCHED","NO_RESULT","PENDING"]},"ConnectionState":{"type":"string","maxLength":20,"enum":["CONNECTED","PENDING","DISCONNECTED"]},"PageMetadata":{"type":"object","properties":{"size":{"type":"integer"},"totalElements":{"type":"integer"},"totalPages":{"type":"integer"},"number":{"type":"integer"}},"required":["size","totalElements","totalPages","number"]},"Error":{"type":"object","properties":{"code":{"type":"string","description":"Error code for programmatic handling"},"message":{"type":"string","description":"Human-readable error message"},"details":{"type":["string","null"],"description":"Additional error details"}},"required":["code","message"]}},"responses":{"BadRequest":{"description":"Invalid request parameters or malformed request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"Authentication is required or invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Forbidden":{"description":"Access to the requested resource is forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalServerError":{"description":"An unexpected error occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}
```

## GET /suppliers/{id}

> Get a supplier (full details)

```json
{"openapi":"3.1.0","info":{"title":"Nova Public API","version":"1.0.0"},"servers":[{"url":"https://api.unimarket.com/public/community"},{"url":"https://api.unimarket.com.au/public/community"},{"url":"https://api.unimarket.co.nz/public/community"},{"url":"https://api.unimarket-demo.com/public/community"}],"paths":{"/suppliers/{id}":{"get":{"summary":"Get a supplier (full details)","operationId":"getSupplier","tags":["Suppliers"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"$ref":"#/components/schemas/Id"},"description":"UUID identifier of the supplier"}],"responses":{"200":{"description":"Supplier with full details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierDetail"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}},"components":{"schemas":{"Id":{"type":"string","format":"uuid","description":"Primary identifier (UUID)"},"SupplierDetail":{"allOf":[{"$ref":"#/components/schemas/SupplierSummary"},{"type":"object","properties":{"defaultContact":{"$ref":"#/components/schemas/SupplierContact"},"defaultRemittanceAddress":{"$ref":"#/components/schemas/RemittanceAddress"},"bankAccount":{"$ref":"#/components/schemas/BankAccount"},"emails":{"$ref":"#/components/schemas/Emails"},"settings":{"$ref":"#/components/schemas/SupplierSettings"}}}]},"SupplierSummary":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Id"},"communitySupplierId":{"type":"string","maxLength":255,"description":"Auto-generated unique ID for the community supplier"},"supplierId":{"type":["string","null"],"maxLength":255,"description":"Community-defined Supplier ID to match the ERP."},"name":{"type":["string","null"],"maxLength":255,"description":"The primary name by which the supplier is known. The company or trading name."},"profileType":{"$ref":"#/components/schemas/ProfileType"},"legalBusinessName":{"type":["string","null"],"maxLength":255},"firstName":{"type":["string","null"],"maxLength":255},"lastName":{"type":["string","null"],"maxLength":255},"taxIdentificationType":{"$ref":"#/components/schemas/TaxIdentificationType"},"taxIdentificationNumber":{"type":["string","null"],"maxLength":255},"tinVerificationStatus":{"$ref":"#/components/schemas/TinVerificationStatus"},"tinLastVerifiedDate":{"type":["string","null"],"format":"date-time"},"connectionState":{"$ref":"#/components/schemas/ConnectionState"},"businessNumber":{"type":["string","null"],"maxLength":255},"defaultEmailAddress":{"type":["string","null"],"maxLength":255,"format":"email"},"modifiedDate":{"type":"string","format":"date-time"},"createdDate":{"type":"string","format":"date-time"}},"required":["id","profileType","modifiedDate","createdDate"]},"ProfileType":{"type":"string","maxLength":20,"enum":["COMPANY","INDIVIDUAL"],"description":"Individual or Company/Organization"},"TaxIdentificationType":{"type":"string","maxLength":20,"enum":["SSN","EIN","ITIN","GIIN","FOREIGN_TIN"]},"TinVerificationStatus":{"type":"string","maxLength":20,"enum":["MATCHED","NOT_MATCHED","NO_RESULT","PENDING"]},"ConnectionState":{"type":"string","maxLength":20,"enum":["CONNECTED","PENDING","DISCONNECTED"]},"SupplierContact":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Id"},"name":{"type":"string","maxLength":255},"phone":{"$ref":"#/components/schemas/Phone"},"email":{"type":["string","null"],"maxLength":255,"format":"email"},"managedBy":{"$ref":"#/components/schemas/TenantType"},"modifiedDate":{"type":"string","format":"date-time"},"createdDate":{"type":"string","format":"date-time"}},"required":["id","name","modifiedDate","createdDate"]},"Phone":{"type":"object","properties":{"prefix":{"type":["string","null"],"maxLength":5},"number":{"type":["string","null"],"maxLength":20},"extension":{"type":["string","null"],"maxLength":20}}},"TenantType":{"type":"string","maxLength":10,"enum":["COMMUNITY","SUPPLIER"]},"RemittanceAddress":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Id"},"code":{"type":"string","maxLength":255},"companyName":{"type":["string","null"],"maxLength":255},"address":{"$ref":"#/components/schemas/Address"},"managedBy":{"$ref":"#/components/schemas/TenantType"},"modifiedDate":{"type":"string","format":"date-time"},"createdDate":{"type":"string","format":"date-time"}},"required":["id","address","modifiedDate","createdDate"]},"Address":{"type":"object","properties":{"line1":{"type":"string","maxLength":200},"line2":{"type":["string","null"],"maxLength":200},"line3":{"type":["string","null"],"maxLength":200},"city":{"type":"string","maxLength":200},"region":{"$ref":"#/components/schemas/Region"},"postcode":{"type":["string","null"],"maxLength":20},"country":{"type":"string","maxLength":255}},"required":["line1","city","country"]},"Region":{"type":"object","properties":{"name":{"type":["string","null"],"maxLength":255},"code":{"type":["string","null"],"maxLength":100}}},"BankAccount":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Id"},"country":{"type":"string","maxLength":255},"bankName":{"type":["string","null"],"maxLength":255},"accountName":{"type":["string","null"],"maxLength":255},"address":{"$ref":"#/components/schemas/Address"},"accountNumber":{"type":["string","null"],"maxLength":255},"routingNumber":{"type":["string","null"],"maxLength":255},"localAccountNumber":{"type":["string","null"],"maxLength":255},"bankAccountType":{"type":["string","null"],"enum":["CHECKING","SAVINGS","null"],"maxLength":20},"depositFormat":{"type":["string","null"],"enum":["UNSPECIFIED","CCD","CTX","null"],"maxLength":20}},"required":["id","country"]},"Emails":{"type":"object","properties":{"defaultEmailAddress":{"type":["string","null"],"maxLength":255,"format":"email"},"remittanceEmailAddress":{"type":["string","null"],"maxLength":255,"format":"email"},"ordersEmailAddress":{"type":["string","null"],"maxLength":255,"format":"email"},"invoicingEmailAddress":{"type":["string","null"],"maxLength":255,"format":"email"},"rfqsEmailAddress":{"type":["string","null"],"maxLength":255,"format":"email"},"bidRequestsEmailAddress":{"type":["string","null"],"maxLength":255,"format":"email"},"integrationEmailAddress":{"type":["string","null"],"maxLength":255,"format":"email"},"customerCommentsEmailAddress":{"type":["string","null"],"maxLength":255,"format":"email"}}},"SupplierSettings":{"type":"object","properties":{"paymentTerm":{"$ref":"#/components/schemas/PaymentTerm"},"buyerGroups":{"type":"array","items":{"$ref":"#/components/schemas/BuyerGroup"}},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"PaymentTerm":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Id"},"code":{"type":"string","maxLength":35},"active":{"type":"boolean"},"days":{"type":["integer","null"]},"termType":{"type":"string","maxLength":40,"enum":["DAYS_AFTER_THE_INVOICE_DATE","OF_THE_CURRENT_MONTH","OF_THE_FOLLOWING_MONTH","IMMEDIATELY"]},"description":{"type":["string","null"],"maxLength":2000}},"required":["id","code","active","termType"]},"BuyerGroup":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Id"},"name":{"type":"string","maxLength":255}},"required":["id","name"]},"Tag":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Id"},"name":{"type":"string","maxLength":255}},"required":["id","name"]},"Error":{"type":"object","properties":{"code":{"type":"string","description":"Error code for programmatic handling"},"message":{"type":"string","description":"Human-readable error message"},"details":{"type":["string","null"],"description":"Additional error details"}},"required":["code","message"]}},"responses":{"BadRequest":{"description":"Invalid request parameters or malformed request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"Authentication is required or invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Forbidden":{"description":"Access to the requested resource is forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"The requested resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalServerError":{"description":"An unexpected error occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}
```

## GET /suppliers/{supplierId}/contacts

> List all contacts for a supplier (paged)

```json
{"openapi":"3.1.0","info":{"title":"Nova Public API","version":"1.0.0"},"servers":[{"url":"https://api.unimarket.com/public/community"},{"url":"https://api.unimarket.com.au/public/community"},{"url":"https://api.unimarket.co.nz/public/community"},{"url":"https://api.unimarket-demo.com/public/community"}],"paths":{"/suppliers/{supplierId}/contacts":{"get":{"summary":"List all contacts for a supplier (paged)","operationId":"listSupplierContacts","tags":["Suppliers"],"parameters":[{"in":"path","name":"supplierId","required":true,"schema":{"$ref":"#/components/schemas/Id"},"description":"UUID identifier of the supplier"},{"$ref":"#/components/parameters/PageParameter"},{"$ref":"#/components/parameters/SizeParameter"}],"responses":{"200":{"description":"Page of contacts","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_SupplierContact"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}},"components":{"schemas":{"Id":{"type":"string","format":"uuid","description":"Primary identifier (UUID)"},"Page_SupplierContact":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/SupplierContact"}},"page":{"$ref":"#/components/schemas/PageMetadata"}},"required":["content","page"]},"SupplierContact":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Id"},"name":{"type":"string","maxLength":255},"phone":{"$ref":"#/components/schemas/Phone"},"email":{"type":["string","null"],"maxLength":255,"format":"email"},"managedBy":{"$ref":"#/components/schemas/TenantType"},"modifiedDate":{"type":"string","format":"date-time"},"createdDate":{"type":"string","format":"date-time"}},"required":["id","name","modifiedDate","createdDate"]},"Phone":{"type":"object","properties":{"prefix":{"type":["string","null"],"maxLength":5},"number":{"type":["string","null"],"maxLength":20},"extension":{"type":["string","null"],"maxLength":20}}},"TenantType":{"type":"string","maxLength":10,"enum":["COMMUNITY","SUPPLIER"]},"PageMetadata":{"type":"object","properties":{"size":{"type":"integer"},"totalElements":{"type":"integer"},"totalPages":{"type":"integer"},"number":{"type":"integer"}},"required":["size","totalElements","totalPages","number"]},"Error":{"type":"object","properties":{"code":{"type":"string","description":"Error code for programmatic handling"},"message":{"type":"string","description":"Human-readable error message"},"details":{"type":["string","null"],"description":"Additional error details"}},"required":["code","message"]}},"parameters":{"PageParameter":{"in":"query","name":"page","schema":{"type":"integer","minimum":0,"default":0},"description":"Page number (zero-based)"},"SizeParameter":{"in":"query","name":"size","schema":{"type":"integer","minimum":1,"maximum":100,"default":20},"description":"Number of items per page"}},"responses":{"BadRequest":{"description":"Invalid request parameters or malformed request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"Authentication is required or invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Forbidden":{"description":"Access to the requested resource is forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"The requested resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalServerError":{"description":"An unexpected error occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}
```

## GET /suppliers/{supplierId}/remittance-addresses

> List all remittance addresses for a supplier (paged)

```json
{"openapi":"3.1.0","info":{"title":"Nova Public API","version":"1.0.0"},"servers":[{"url":"https://api.unimarket.com/public/community"},{"url":"https://api.unimarket.com.au/public/community"},{"url":"https://api.unimarket.co.nz/public/community"},{"url":"https://api.unimarket-demo.com/public/community"}],"paths":{"/suppliers/{supplierId}/remittance-addresses":{"get":{"summary":"List all remittance addresses for a supplier (paged)","operationId":"listSupplierRemittanceAddresses","tags":["Suppliers"],"parameters":[{"in":"path","name":"supplierId","required":true,"schema":{"$ref":"#/components/schemas/Id"},"description":"UUID identifier of the supplier"},{"in":"query","name":"modifiedSince","schema":{"type":"string","format":"date-time"},"description":"Inclusive; returns items with modifiedDate >= modifiedSince (ISO 8601 format)"},{"$ref":"#/components/parameters/PageParameter"},{"$ref":"#/components/parameters/SizeParameter"},{"in":"query","name":"sort","schema":{"type":"string","maxLength":255,"pattern":"^[a-zA-Z]+(,(asc|desc))?$"},"description":"Sort specification in format \"field,direction\". Allowed fields are companyName, modifiedDate. Direction can be asc or desc (default asc)"}],"responses":{"200":{"description":"Page of remittance addresses","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_RemittanceAddress"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}},"components":{"schemas":{"Id":{"type":"string","format":"uuid","description":"Primary identifier (UUID)"},"Page_RemittanceAddress":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/RemittanceAddress"}},"page":{"$ref":"#/components/schemas/PageMetadata"}},"required":["content","page"]},"RemittanceAddress":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/Id"},"code":{"type":"string","maxLength":255},"companyName":{"type":["string","null"],"maxLength":255},"address":{"$ref":"#/components/schemas/Address"},"managedBy":{"$ref":"#/components/schemas/TenantType"},"modifiedDate":{"type":"string","format":"date-time"},"createdDate":{"type":"string","format":"date-time"}},"required":["id","address","modifiedDate","createdDate"]},"Address":{"type":"object","properties":{"line1":{"type":"string","maxLength":200},"line2":{"type":["string","null"],"maxLength":200},"line3":{"type":["string","null"],"maxLength":200},"city":{"type":"string","maxLength":200},"region":{"$ref":"#/components/schemas/Region"},"postcode":{"type":["string","null"],"maxLength":20},"country":{"type":"string","maxLength":255}},"required":["line1","city","country"]},"Region":{"type":"object","properties":{"name":{"type":["string","null"],"maxLength":255},"code":{"type":["string","null"],"maxLength":100}}},"TenantType":{"type":"string","maxLength":10,"enum":["COMMUNITY","SUPPLIER"]},"PageMetadata":{"type":"object","properties":{"size":{"type":"integer"},"totalElements":{"type":"integer"},"totalPages":{"type":"integer"},"number":{"type":"integer"}},"required":["size","totalElements","totalPages","number"]},"Error":{"type":"object","properties":{"code":{"type":"string","description":"Error code for programmatic handling"},"message":{"type":"string","description":"Human-readable error message"},"details":{"type":["string","null"],"description":"Additional error details"}},"required":["code","message"]}},"parameters":{"PageParameter":{"in":"query","name":"page","schema":{"type":"integer","minimum":0,"default":0},"description":"Page number (zero-based)"},"SizeParameter":{"in":"query","name":"size","schema":{"type":"integer","minimum":1,"maximum":100,"default":20},"description":"Number of items per page"}},"responses":{"BadRequest":{"description":"Invalid request parameters or malformed request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"Authentication is required or invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Forbidden":{"description":"Access to the requested resource is forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"The requested resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalServerError":{"description":"An unexpected error occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.unimarket.com/api-reference/models/suppliers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
